php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #6803 when AddModule mod_php4.c: Cannot remove module mod_php4.c: not found
Submitted: 2000-09-18 09:11 UTC Modified: 2000-12-05 02:01 UTC
From: Robert at MSIA dot org Assigned:
Status: Closed Package: Apache related
PHP Version: 4.0.2 OS: Red Hat Linux 6.2
Private report: No CVE-ID: None
 [2000-09-18 09:11 UTC] Robert at MSIA dot org
Using the following config line:

./configure --enable-versioning --with-mysql=/usr/local/include/mysql --enable-track-vars --with-apxs

I installed libphp4.so AFTER installing libphp3.so (php3) and mod_php.so (php/fi/2). 

Uncommenting:

LoadModule php4_module        modules/libphp4.so

in the httpd.conf file allows httpd (Apache/1.3.12 Red-Hat-Secure/3.2 with suexec enabled) to restart fine, but uncommenting the next line:

AddModule mod_php4.c

crashes the httpd process when it tries to restart. No error data is available through stdout. Here is the error information from the Apache log:

[Mon Sep 18 17:45:13 2000] [notice] caught SIGTERM, shutting down
[Mon Sep 18 17:45:13 2000] [error] Cannot remove module mod_php4.c: not found in
 module list
[Mon Sep 18 17:45:14 2000] [error] Cannot remove module mod_php4.c: not found in
 module list
[Mon Sep 18 17:45:14 2000] [notice] Apache/1.3.12 (Unix)  (Red Hat/Linux) PHP/3.
0.15 mod_perl/1.21 configured -- resuming normal operations
[Mon Sep 18 17:45:14 2000] [notice] suEXEC mechanism enabled (wrapper: /usr/sbin
/suexec)
---

The php.ini file is vanilla (straight from php.ini-dist).

Robert Peake
MSIA Information Systems
9/18/00

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2000-12-04 09:04 UTC] sniper@php.net
Have you configured PHP3 also with --enable-versioning ??
And I don't think runnning PHP/Fi concurrently with PHP 3
and PHP 4 works..

Another thing, you should do 
./apachectl stop ; ./apachectl start 
instead of restart.

--Jani
 [2000-12-05 02:01 UTC] sniper@php.net
And please try latest snapshot from http://snaps.php.net/ as this
might also been the bug with running mod_perl together with PHP
which has been fixed in CVS.  Reopen this bug report if problem
still  exists with PHP 4.0.4.

--Jani
 
PHP Copyright © 2001-2019 The PHP Group
All rights reserved.
Last updated: Tue Aug 20 13:01:27 2019 UTC